Summary:    Device driver control utility
Name:       driverctl
Version:    0.115
Release:    1%{?dist}
License:    LGPLv2
URL:        https://gitlab.com/driverctl/driverctl
Source0:    %{url}/-/archive/%{version}/driverctl-%{version}.tar.gz

BuildRequires: systemd make
Requires(post,postun): %{_sbindir}/udevadm
Requires: coreutils udev
BuildArch:    noarch

%description
driverctl is a tool for manipulating and inspecting the system device driver choices.

Devices are normally assigned to their sole designated kernel driver by default. However in some
situations it may be desireable to override that default, for example to try an older driver to work
around a regression in a driver or to try an experimental alternative driver. Another common
use-case is pass-through drivers and driver stubs to allow userspace to drive the device, such as in
case of virtualization.

driverctl integrates with udev to support overriding driver selection for both cold- and hotplugged
devices from the moment of discovery, but can also change already assigned drivers, assuming they
are not in use by the system. The driver overrides created by driverctl are persistent across system
reboots by default.

%prep
%autosetup -n %{name}-%{version}

%install
%make_install

%post
%udev_rules_update

%postun
%udev_rules_update

%files
%license COPYING
%doc README TODO
%{_sbindir}/driverctl
%{_udevrulesdir}/*.rules
%{_udevrulesdir}/../vfio_name
%{_unitdir}/driverctl@.service
%dir %{_sysconfdir}/driverctl.d
%{_datadir}/bash-completion/
%{_mandir}/man8/driverctl.8*

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.115-1
- Upgrade to version 0.115

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.111-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 10 2023 Shuo Wang <abushwang@tencent.com> - 0.111-1
- update to 0.111

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.101-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.101-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 0.101-1
- initial build
